Unable to install dracut and initramfs-tools together

Bug #1548558 reported by Antony Messerli on 2016-02-22
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
The Ubuntu Boot Speed Project
Undecided
Unassigned
dracut (Ubuntu)
Medium
Unassigned

Bug Description

In 15.10, dracut and initramfs-tools cannot coexist which makes it hard to regenerate the initramfs.

root@builder:/# apt-get install dracut initramfs-tools
Reading package lists... Done
Building dependency tree
Reading state information... Done
initramfs-tools is already the newest version.
initramfs-tools set to manually installed.
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 dracut : Conflicts: initramfs-tools but 0.120ubuntu6 is to be installed
 initramfs-tools : Conflicts: linux-initramfs-tool
E: Unable to correct problems, you have held broken packages.

From https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1109029:

"Just in case someone is interested: I've built an ppa that allows installing draucut next to initramfs:
https://launchpad.net/~morty/+archive/ubuntu/dracut-release

And yes, they do conflict as they both want to build the init.rd. And initramfs-tools wins, because i comes after d. I fixed that using dpkg-divert."

affects: linux (Ubuntu) → dracut (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in dracut (Ubuntu):
status: New → Confirmed
AsciiWolf (asciiwolf) wrote :

Same problem in Ubuntu 16.04.

tags: added: xenial
Changed in dracut (Ubuntu):
importance: Undecided → Medium
AsciiWolf (asciiwolf) on 2017-06-16
tags: added: artful yakkety zesty
AsciiWolf (asciiwolf) wrote :

Any news?

AsciiWolf (asciiwolf) on 2017-11-09
tags: added: bionic
Antony Messerli (antonym) wrote :

This bug still exists and has existed for a while. I can use dracut fine in Debian without conflict but this bug really impairs usage in Ubuntu. Is this something we could prioritize to fix in Bionic?

Antony Messerli (antonym) wrote :

Bionic error:

The following packages have unmet dependencies:
 dracut : Conflicts: initramfs-tools but 0.130ubuntu3 is to be installed
 initramfs-tools : Conflicts: linux-initramfs-tool
E: Unable to correct problems, you have held broken packages.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers